.wrapper {
    display: flex;
    align-items: stretch;
    perspective: 1500px; 
}

#sidebar {
    min-width: 250px;
    max-width: 250px;
    background: #2b386c;
    color: #fff;
    transition: all 0.6s cubic-bezier(0.945, 0.020, 0.270, 0.665);
    transform-origin: bottom left; /* Set the transformed position of sidebar to center left side. */
}

#sidebar.active {
    margin-left: -250px;
    transform: rotateY(100deg); /* Rotate sidebar vertically by 100 degrees. */
}

#sidebarCollapse {
    width: 40px;
    height: 40px;
    background: #6d7fcc;
    margin-left: -5px;
}

#sidebarCollapse span {
    width: 80%;
    height: 2px;
    margin: 0 auto;
    display: block;
    background: white;
    transition: all 0.8s cubic-bezier(0.810, -0.330, 0.345, 1.375);
}

#sidebarCollapse span:first-of-type {
    /* rotate first one */
    transform: rotate(45deg) translate(2px, 2px);
}
#sidebarCollapse span:nth-of-type(2) {
    /* second one is not visible */
    opacity: 0;
}
#sidebarCollapse span:last-of-type {
    /* rotate third one */
    transform: rotate(-45deg) translate(1px, -1px);
}

#sidebarCollapse.active span {
    /* no rotation */
    transform: none;
    /* all bars are visible */
    opacity: 1;
    margin: 5px auto;
}

@media (max-width: 768px) {
    /* Reversing the behavior of the sidebar: 
       it'll be rotated vertically and off canvas by default, 
       collapsing in on toggle button click with removal of 
       the vertical rotation.   */
    #sidebar {
        margin-left: -250px;
        transform: rotateY(100deg);
    }
    #sidebar.active {
        margin-left: 0;
        transform: none;
    }

    /* Reversing the behavior of the bars: 
       Removing the rotation from the first,
       last bars and reappear the second bar on default state, 
       and giving them a vertical margin */
    #sidebarCollapse span:first-of-type,
    #sidebarCollapse span:nth-of-type(2),
    #sidebarCollapse span:last-of-type {
        transform: none;
        opacity: 1;
        margin: 5px auto;
    }

    /* Removing the vertical margin and make the first and last bars rotate again when the sidebar is open, hiding the second bar */
    #sidebarCollapse.active span {
        margin: 0 auto;
    }
    #sidebarCollapse.active span:first-of-type {
        transform: rotate(45deg) translate(2px, 2px);
    }
    #sidebarCollapse.active span:nth-of-type(2) {
        opacity: 0;
    }
    #sidebarCollapse.active span:last-of-type {
        transform: rotate(-45deg) translate(1px, -1px);
    }
}

body {
    font-family: 'Poppins', sans-serif;
    background: #fafafa;
}

p {
    font-family: 'Poppins', sans-serif;
    font-size: 1.1em;
    font-weight: 300;
    line-height: 1.7em;
    color: #999;
}

a, a:hover, a:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

#sidebar .sidebar-header {
    padding: 20px;
    background: #f4f4f4;
    color: #000;
}

#sidebar ul.components {
    padding: 20px 0;
    border-bottom: 1px solid #47748b;
}

#sidebar ul p {
    color: #fff;
    padding: 10px;
}

#sidebar ul li a {
    padding: 10px;
    font-size: 1.1em;
    display: block;
}
#sidebar ul li a:hover {
    color: #7386D5;
    background: #fff;
}

#sidebar ul li.active > a, a[aria-expanded="true"] {
    color: #fff;
    background: #6d7fcc;
}
ul ul a {
    font-size: 0.9em !important;
    padding-left: 30px !important;
    background: #6d7fcc;
}
#content {
    width: 100%;
    min-height: 100vh;
    transition: all 0.3s;
}
.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

#signin,#signup,#order_form {
    min-height: 70vh;
}

/*status timeline ----------------------------------------------------------------------------------------------------*/
.timeline {
    list-style-type: none;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: 0;
}

.timeline li {
    transition: all 200ms ease-in;
    /*margin-bottom: -15px;*/
}

.timestamp {
    margin-bottom: 20px;
    padding: 0px 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-weight: 100;
}

.timeline .status {
    padding: 0px 20px;
    display: flex;
    justify-content: center;
    border-top: 2px solid #D6DCE0;
    position: relative;
    transition: all 200ms ease-in;
    margin-top: 10px;
    margin-bottom: -10px
}

.timeline .status2 {
    margin-bottom: 40px !important;
}

.timeline .status h4 {
    font-size: 14px;
    font-weight: 600;
    padding-top: 10px;
}
.timeline .status:before {
    content: "";
    width: 25px;
    height: 25px;
    background-color: white;
    border-radius: 25px;
    border: 1px solid #ddd;
    position: absolute;
    top: -15px;
    left: 42%;
    transition: all 200ms ease-in;
}

.timeline li.complete .status {
    border-top: 2px solid #66DC71;
}
.timeline li.complete .status:before {
    background-color: #66DC71;
    border: none;
    transition: all 200ms ease-in;
}
.timeline li.custom .status:before {
    background-color: #66DC71;
    border: none;
    transition: all 200ms ease-in;
}
.timeline li.complete .status h4 {
    color: #66DC71;
}

@media (min-device-width: 320px) and (max-device-width: 700px) {
    .timeline {
        list-style-type: none;
        display: block;
    }

    .timeline li {
        transition: all 200ms ease-in;
        display: flex;
        width: inherit;
    }

    .timestamp {
        width: 100px;
    }

    .timeline .status:before {
        left: -8%;
        top: 30%;
        transition: all 200ms ease-in;
    }
}

/*status timeline end ----------------------------------------------------------------------------*/

#searchResult {
    width: 265px;
    position: absolute;
    top: 40px;
    right: 0;
    z-index: 1000;
}

#searchResult li {
    cursor: pointer;
}

.add_product_area {
    background-color: #eee;
}

.order-product-list {
    margin: -1.25rem;
    padding: 18px;
    border: none;
    border-radius: 0;
}

.border-red{
    border:2px solid red;
    padding: 10px;
}
.card-header {
    padding: 2rem 1.25rem;
}
#accordion_order_records .card-header .flex-grow-1 {
    align-self: center;
}
.flow-info-view-button {
    position: absolute;
    top: 30px;
}
.loader {
    display: flex;
}
.loader .loader-center {
    text-align: center;
    width: 500px;
    height: 500px;
    background: url("http://eta.gtim.com/image/loading2.gif") center no-repeat;
}
.popover-body {
    padding: 20px;
}

.hide{
    display: none;
}